Get List of Data Subjects

Use this API to retrieve a list of all data subjects. The response will include details for each data subject such as the associated data elements, data subject ID, and data subject identifier. By default, the response will return data subject details sorted in descending order of last modified date.

🗒

Things to Know

🚧

Please note that the FTC Do Not Call List is updated once daily and not updated in real time. As such, there may be a possibility that a consumer's preferences may have changed and they may have opted out of receiving communication before the Do Not Call list gets refreshed. OneTrust is merely conveying information received from the FTC and is not responsible for compiling the lists.

Query Params
integer
≥ 0
Defaults to 0

Page number (0-based).

integer
1 to 2000
Defaults to 20

Number of records per page (1-50).

date-time

Filter Data Subject records that were last updated on or after the specified date. Formats accepted: yyyy-MM-dd or yyyy-MM-ddTHH:mm:ss.

date-time

Filter Data Subject records that were last updated on or before the specified date. Must be used with updatedSince. Formats accepted: yyyy-MM-dd or yyyy-MM-ddTHH:mm:ss.

uuid

Filter by data subject ID (UUID).

string

Filter by language code (e.g., 'en', 'fr').

string

Specify optional properties to control the response. Multiple values can be comma-separated.

  • ignoreCount: Skip the total record count calculation (improves performance)
  • linkTokens: Include link tokens in the response
  • ignoreDefaultSort: Disable default sorting by last modified date
boolean
Defaults to false

Include data subjects without purpose transactions (true/false).

boolean

Include Do Not Call list information (true/false).

Headers
string

Filter by data subject identifier (prefer using the header parameter).

string

Filter by data element name (must be used with dataElementValue).

string

Filter by data element value (must be used with dataElementName).

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
Credentials
OAuth2
Missing 2 required scopes
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*